org.apache.fop.fonts.type1

## Class AFMWritingDirectionMetrics

- java.lang.Object
- - org.apache.fop.fonts.type1.AFMWritingDirectionMetrics

-     public class AFMWritingDirectionMetrics
      extends Object

  Represents a writing direction metrics section from an AFM file.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AFMWritingDirectionMetrics()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `double` | `getItalicAngle()` Returns the ItalicAngle value.
    `Number` | `getUnderlinePosition()` Returns the UnderlinePosition value.
    `Number` | `getUnderlineThickness()` Returns the UnderlineThickness value.
    `boolean` | `isFixedPitch()` Returns the IsFixedPitch value.
    `void` | `setFixedPitch(boolean value)` Set the IsFixedPitch value.
    `void` | `setItalicAngle(double italicAngle)` Sets the ItalicAngle value.
    `void` | `setUnderlinePosition(Number underlinePosition)` Sets the UnderlinePosition value.
    `void` | `setUnderlineThickness(Number underlineThickness)` Sets the UnderlineThickness value.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AFMWritingDirectionMetrics

          public AFMWritingDirectionMetrics()

  - ### Method Detail

    - #### getUnderlinePosition

          public Number getUnderlinePosition()

      Returns the UnderlinePosition value.
      Returns:
        the underlinePosition

    - #### setUnderlinePosition

          public void setUnderlinePosition(Number underlinePosition)

      Sets the UnderlinePosition value.
      Parameters:
        `underlinePosition` - the underlinePosition to set

    - #### getUnderlineThickness

          public Number getUnderlineThickness()

      Returns the UnderlineThickness value.
      Returns:
        the underlineThickness

    - #### setUnderlineThickness

          public void setUnderlineThickness(Number underlineThickness)

      Sets the UnderlineThickness value.
      Parameters:
        `underlineThickness` - the underlineThickness to set

    - #### getItalicAngle

          public double getItalicAngle()

      Returns the ItalicAngle value.
      Returns:
        the italicAngle

    - #### setItalicAngle

          public void setItalicAngle(double italicAngle)

      Sets the ItalicAngle value.
      Parameters:
        `italicAngle` - the italicAngle to set

    - #### isFixedPitch

          public boolean isFixedPitch()

      Returns the IsFixedPitch value.
      Returns:
        the isFixedPitch

    - #### setFixedPitch

          public void setFixedPitch(boolean value)

      Set the IsFixedPitch value.
      Parameters:
        `value` - the isFixedPitch to set

Copyright © 2023 Apache Software Foundation. All rights reserved.